Get Electricity Records

Easily top up your meter

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

You can retrieve a paginated list of electricity records available by parsing the page and per_page in the request param as shown in the example below.

Example Request

var axios = require('axios');

var config = {
  method: 'get',
  url: 'https://integrations.getravenbank.com/v1/electricity/records?page=1&per_page=10',
  headers: { }
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});

Example Response

{
  "status": "success",
  "message": "Electricity records returned",
  "data": {
    "electricity_records": [
      {
        "id": 22,
        "merchant_email": "[email protected]",
        "meter_number": "54130456412",
        "phone_number": "07039234423",
        "reference": "202208250741IBEAJCD",
        "status": "failed",
        "refunded": 1,
        "amount": 1000,
        "amount_charged": 1000,
        "currency": "NGN",
        "provider": "1",
        "service_id": "eko-electric",
        "merchant_reference": "1234568",
        "meter_type": "PREPAID",
        "trx_id": null,
        "customer_name": "AGUNBIADE OREOLUWA",
        "customer_address": "16 ola STREET AJAH",
        "electricity_token": null,
        "processed_at": "2022-08-25T07:29:10.000Z",
        "created_at": "2022-08-25T05:41:50.000Z"
      },
      {
        "id": 21,
        "merchant_email": "[email protected]",
        "meter_number": "54130456412",
        "phone_number": "07039234423",
        "reference": "202208250732CBEDBEI",
        "status": "successful",
        "refunded": 0,
        "amount": 1000,
        "amount_charged": 1000,
        "currency": "NGN",
        "provider": "1",
        "service_id": "eko-electric",
        "merchant_reference": "1234568",
        "meter_type": "PREPAID",
        "trx_id": "16614055706814618050866825",
        "customer_name": "AGUNBIADE OREOLUWA",
        "customer_address": "16 Ola STREET AJAH",
        "electricity_token": "67951203690313596004",
        "processed_at": "2022-08-25T05:33:51.000Z",
        "created_at": "2022-08-25T05:32:50.000Z"
      }
    ],
    "pagination": {
      "perPage": 10,
      "currentPage": 1,
      "nextPage": 2,
      "prevPage": null,
      "totalPages": 3,
      "total": 22
    }
  }
}
Path Params
string
required
Defaults to 1

The page you would like to display

string
required
Defaults to 10

This is the number of records you would like to fetch per page

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json